Toggle menu
Toggle personal menu
Not logged in
Your IP address will be publicly visible if you make any edits.

MediaWiki:Common.css

MediaWiki interface page
Revision as of 19:24, 25 January 2023 by BakiDance (talk | contribs) (template css import from star citizen)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)

Note: After publishing, you may have to bypass your browser's cache to see the changes.

  • Firefox / Safari: Hold Shift while clicking Reload, or press either Ctrl-F5 or Ctrl-R (⌘-R on a Mac)
  • Google Chrome: Press Ctrl-Shift-R (⌘-Shift-R on a Mac)
  • Internet Explorer / Edge: Hold Ctrl while clicking Refresh, or press Ctrl-F5
  • Opera: Press Ctrl-F5.
/* CSS DIRECTORY
[	1. Template CSS
============================================================================================*/



/* TEMPLATE CSS
============================================================================================ */

/* MBOX styles*/
.mbox {
	position: relative;
	display: flex;
	flex-direction: column;
	margin-top: var( --space-xs );
	margin-bottom: var( --space-md );
	background-color: var( --color-surface-2 );
	border-radius: var( --border-radius--medium );
	color: var( --color-base--subtle );
	font-size: 0.875rem;
}

.mbox.mbox-high {
	background-color: var( --background-color-destructive );
}

.mbox.mbox-med {
	background-color: var( --background-color-warning );
}

.mbox-title {
	display: flex;
	align-items: center;
	padding: var( --space-sm ) var( --space-md );
	font-weight: 500;
}

.mbox-icon img {
	width: 14px;
	height: auto;
	margin-right: var( --space-xs );
	opacity: 0.5;
}

.mbox-text {
	position: absolute;
	z-index: 10;
	padding: var( --space-md );
	width: 100%;
    box-sizing: border-box;
	background-color: var( --color-surface-2 );
	border-radius: var( --border-radius--medium );
	box-shadow: var( --box-shadow-dialog );
	opacity: 0;
	visibility: hidden;
}

.mbox:hover .mbox-text {
	opacity: 1;
	visibility: visible;
}

.mbox-high .mbox-text {
	background-color: var( --background-color-destructive );
}

.mbox-med .mbox-text {
	background-color: var( --background-color-warning );
}

/* Dark mode */
html.skin-citizen-dark .mbox-icon img {
	filter: invert( 1 );
}

/* Readability fixes */
html.skin-citizen-dark .mbox {
	color: var( --color-base--emphasized );
}